libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis

declared in "vorbis/codec.h";

This function decodes a Vorbis packet into a block of data. The vorbis_block should then be submitted to the vorbis_dsp_state for the decoder instance using vorbis_synthesis_blockin to be assembled into the final decoded audio.

    extern int      vorbis_synthesis(vorbis_block *vb,ogg_packet *op);

### Parameters

vb
  The vorbis_block to decode the packet into.
op
  The ogg_packet to decode.

### Return Values

> - 0 on success.
> - OV_ENOTAUDIO if the packet is not an audio packet.
> - OV_EBADPACKET if there was an error in the packet.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101